Creates a new item
Request Information
URI Parameters :
None.
Body Parameters :
db_info_field| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| db_info_id |
Foreign key to db_info (chapters) |
globally unique identifier |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_info_code |
Embedded entity "db_info" using ERP PK when adding/updating db_info_field |
string |
Optionally required : db_info_id ,db_info_code or node db_info must be provided |
| db_info |
Embedded entity "db_info" (chapter) when adding/updating db_info_field |
db_info |
Optionally required : db_info_id,db_info_code or node db_info must be provided |
| db_input_type_id |
Type of the fied (like Textbox,TextArea) |
globally unique identifier |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| db_input_type_code |
Use of the possible type : TextBox,TextArea,SelectBox,RadioButton,DateTime,NumericField,Checkbox,ComboBox,Email,Url,DatePicker,MonthCalendar,TimePiker,Number |
string |
Optionally required : db_input_type_id or db_input_type_code must be provided |
| name |
Name/Code of the info field.Field used for Embedded entity (store there your ERP PK) |
string |
Required Max length: 50 |
| title |
Title that will be shown on the UI of the info field |
string |
Required Max length: 50 |
| sequence |
Sorting field (0 first), to order them inside the chapter |
integer | |
| description |
Description of the field |
string |
Max length: 255 |
| is_mandatory |
Force user to fill it before saving |
boolean | |
| is_readonly |
Avoid user to edit the value using the UI |
boolean | |
| hide_in_view_if_empty |
Hide this field in view mode if no value |
boolean |
Request Formats :
application/json, text/json
{
"id": "a6584db5-319f-4451-9b9a-4c2f68c884b8",
"db_info_id": "a74beddc-a9db-49a5-821f-3df3289c2abb",
"db_info_code": "sample string 3",
"db_info": {
"id": "3e097c40-072b-4e83-a792-a92fb6519bed",
"name": "sample string 2",
"code": "sample string 3",
"sequence": 4,
"db_info_category_id": "3ce2d2d4-8acf-4e8d-b975-13f360cebbff",
"db_info_category_code": "sample string 6",
"parent_id": "9ebe74fe-ce8a-4ab8-ba71-75080c822901",
"parent_db_info_code": "sample string 8",
"modified_dateutc": "2026-09-18T13:43:01.7605082+00:00"
},
"db_input_type_id": "26f135c9-3106-43dc-9667-cd37e69e8338",
"db_input_type_code": "sample string 5",
"name": "sample string 6",
"title": "sample string 7",
"sequence": 8,
"description": "sample string 9",
"is_mandatory": true,
"is_readonly": true,
"hide_in_view_if_empty": true
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.